/*
Copyright (C) 1997-2001 Id Software, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

//
// gui_keys.c
//

#include "gui_local.h"

/*
=================
GUI_KeyUp
=================
*/
void GUI_KeyUp (int keyNum)
{
	gui_t	*gui;

	if (!cg_guiState.inputGUI)
		return;
	gui = cg_guiState.inputGUI;

	// FIXME: unqueue WNEV_ACTION and WNEV_ESC here?
	switch (keyNum) {
	case K_MOUSE1:
		break;
	}
}


/*
=================
GUI_KeyDown
=================
*/
void GUI_KeyDown (int keyNum)
{
	wnEventType_t	event;
	gui_t			*gui;

	if (!cg_guiState.inputGUI)
		return;
	gui = cg_guiState.inputGUI;

	event = WNEV_NONE;
	switch (keyNum) {
	case K_ESCAPE:
		event = WNEV_ESC;
		break;

	case K_ENTER:
	case K_MOUSE1:
		event = WNEV_ACTION;
		break;
	}

	// Queue any desired events
	if (event != WNEV_NONE) {
		if (gui->cursorWindow)
			GUI_QueueEvent (gui->cursorWindow->queList, &gui->cursorWindow->numQueueEvents, event);
		else
			GUI_QueueEvent (gui->queList, &gui->numQueueEvents, event);
	}
}
